using Bentley.MstnPlatformNET;          
using System.Windows.Forms;   

namespace csAddins
{
    [AddIn(MdlTaskID = "csAddins")]
    internal sealed class MyAddin : AddIn
    {
        public static MyAddin Addin = null;

        private MyAddin(System.IntPtr mdlDesc) : base(mdlDesc)
        {
            Addin = this;
        }

        protected override int Run(string[] commandLine)
        {
            Session.Instance.Keyin("csAddins DemoForm Toolbar");
            return 0;
        }
    }
}